/*	BUDD @BU/DSG 9/23/85 */

#include <stdio.h>
#include <sys/types.h>
#include <netdb.h>
#include <sys/socket.h>

#include "tops20.h"
#include "mon_networks.h"

static struct hostent host;
static unsigned long hostaddr;
static char hostname[40];

struct hostent *
gethostbyname(name)
	register char *name;
{
	int acs[5];

	ac1 = GThsn;
	ac2 = POINT( name );
	if( JSYS(JSgthst, acs) == JSerr )
		return( NULL );
	hostaddr = ac3;

	ac1 = GThns;		/* get cannonical name */
	ac2 = POINT( hostname );
	if( JSYS(JSgthst, acs) == JSerr )
		return( NULL );

	host.h_addr = (char *) &hostaddr;
	host.h_length = sizeof (hostaddr);
	host.h_name = hostname;
	host.h_addrtype = AF_INET;

	return( &host );
}
